!Any Ascii File Read/Write - Class definitions

!ABCIncludeFile

OMIT('_EndOfInclude_',_ANYASCIIPRESENT_)
_ANYASCIIPRESENT_   EQUATE(1)

 INCLUDE('ABError.inc'),ONCE

ANYASCII_IO_SIZE EQUATE(64000)

AnyAsciiFileClass   CLASS,TYPE,MODULE('AnyAscii.clw'),LINK('AnyAscii.clw',_ABCLinkMode_),DLL(_ABCDllMode_)

FileName             CSTRING(FILE:MaxFilePath+FILE:MaxFileName+1), PROTECTED
OpenMode             ULONG(0), PROTECTED                
ReadPosition         ULONG(1), PROTECTED
PreviousReadPosition ULONG(0),PROTECTED
AutoFlush            BYTE(False),PROTECTED

CreateFile           PROCEDURE(STRING AsciiFileName, LONG OpenMode=ReadWrite+DenyWrite), BYTE, PROC
OpenFile             PROCEDURE(STRING AsciiFileName, LONG OpenMode=ReadWrite+DenyWrite), BYTE, PROC
OpenOrCreateFile     PROCEDURE(STRING AsciiFileName, LONG OpenMode=ReadWrite+DenyWrite), BYTE, PROC
GetName              PROCEDURE(), STRING
Read                 PROCEDURE(*CSTRING TextLine, <ULONG ReadPosition>), BYTE, PROC
Read                 PROCEDURE(*STRING TextLine, <ULONG ReadPosition>), BYTE, PROC
Read                 PROCEDURE(*PSTRING TextLine, <ULONG ReadPosition>), BYTE, PROC
Replace              PROCEDURE(STRING TextLine), BYTE, PROC
Write                PROCEDURE(STRING TextLine), BYTE, PROC
IsOpen               PROCEDURE(), BYTE
GetReadPosition      PROCEDURE(), ULONG
SetReadPosition      PROCEDURE(ULONG ReadPosition)
GetWritePosition     PROCEDURE(), ULONG
CloseFile            PROCEDURE()
SetAutoFlush         PROCEDURE(BYTE AutoFlush)
InitFile             PROCEDURE(<STRING AsciiFileName>, BYTE CreateFile=False, LONG OpenMode=ReadWrite+DenyWrite), BYTE, PROC, PROTECTED
Destruct             PROCEDURE

                    END

  _EndOfInclude_

